Index: TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy
===================================================================
--- TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3581)
+++ TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 3582)
@@ -2,6 +2,7 @@
 
 import org.txm.Toolbox
 import org.txm.importer.xtz.ImportModule;
+import org.txm.metadatas.Metadata
 import org.txm.metadatas.Metadatas
 import org.txm.utils.io.FileCopy
 import org.txm.utils.io.IOUtils
@@ -46,10 +47,16 @@
 				return;
 			}
 		}
+		File metadataFile = Metadatas.findMetadataFile(inputDirectory)
 		File srcDirectory = new File(outputDirectory.getParentFile().getParentFile(), "conllu2tei")
 		srcDirectory.deleteDir();
 		srcDirectory.mkdirs();
 		
+		if (metadataFile.exists()) {
+			File metadataFile2 = new File(srcDirectory, metadataFile.getName())
+			FileCopy.copy(metadataFile, metadataFile2)
+		}
+		
 		println "Convert CoNLL-U to XML-TEI..."
 		convertCoNLLU2TEI(conlluSrcDirectory, srcDirectory, project)
 		
Index: TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy
===================================================================
--- TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 3581)
+++ TXM/trunk/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 3582)
@@ -33,9 +33,9 @@
 		super.init(p);
 		
 		importer = new CoNLLUImporter(this);
-		compiler = new XTZCompiler(this)
-		annotater = null; // no annotater step to do
-		pager = new XTZPager(this)
+//		compiler = new XTZCompiler(this)
+//		annotater = null; // no annotater step to do
+//		pager = new XTZPager(this)
 	}
 	
 	/**
@@ -44,6 +44,8 @@
 	@Override
 	public void start() throws InterruptedException {
 		
+		this.project.setDoTokenizerStep(false)
+		
 		super.start(); // call the usual XTZ import
 		
 		// build the TIGER-XML file
Index: TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3581)
+++ TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3582)
@@ -1357,6 +1357,10 @@
 		return params.getBoolean("doTokenizeStep", true);
 	}
 	
+	public void setDoTokenizerStep(boolean doit) {
+		addTokenizerParameter("doTokenizeStep", "" + doit); //$NON-NLS-1$ //$NON-NLS-2$
+	}
+	
 	public EditionDefinition getEditionDefinition(String name) {
 		return new EditionDefinition(this, name);
 	}
Index: TXM/trunk/org.txm.texts.rcp/src/org/txm/texts/rcp/TextsViewEditor.java
===================================================================
--- TXM/trunk/org.txm.texts.rcp/src/org/txm/texts/rcp/TextsViewEditor.java	(revision 3581)
+++ TXM/trunk/org.txm.texts.rcp/src/org/txm/texts/rcp/TextsViewEditor.java	(revision 3582)
@@ -13,6 +13,7 @@
 import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TableViewerColumn;
+import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.jface.viewers.ViewerComparator;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.graphics.Image;
@@ -20,12 +21,14 @@
 import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.TableColumn;
+import org.txm.Toolbox;
 import org.txm.core.results.Parameter;
 import org.txm.edition.rcp.handlers.OpenEdition;
 import org.txm.objects.Text;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.editors.TableLinesViewerComparator;
 import org.txm.rcp.editors.listeners.ComputeSelectionListener;
 import org.txm.rcp.swt.widget.PropertiesSelector;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
@@ -42,6 +45,8 @@
 	
 	TableViewer viewer;
 //	HashMap<String, TableViewerColumn> columns = new HashMap<String, TableViewerColumn>();
+
+	private TableLinesViewerComparator viewerComparator;
 	
 	@Override
 	public void _createPartControl() throws Exception {
@@ -70,12 +75,52 @@
 		gdata.minimumWidth = 300;
 		negativeFiltersText.setLayoutData(gdata);
 		
-		viewer = new TableViewer(this.getResultArea(), SWT.NONE);
+		viewer = new TableViewer(this.getResultArea(), SWT.VIRTUAL);
 		viewer.getTable().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
 		viewer.getTable().setHeaderVisible(true);
 		viewer.getTable().setLinesVisible(true);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
 		
+		viewerComparator = new TableLinesViewerComparator(Toolbox.getCollator(this.getResult())) {
+			@Override
+			public int compare(Viewer viewer, Object e1, Object e2) {
+				
+				Text t1 = (Text)e1;
+				Text t2 = (Text)e2;
+				int c = 0;
+				switch (this.lastColumnIndex) {
+					case 0: // name
+						c = collator.compare(t1.getName(), t2.getName());
+						break;
+					case 1: // edition
+						c = t1.getEditions().size() - t2.getEditions().size();
+						break;
+					case 2: // separator
+						break;
+					default:
+						//System.out.println("v1="+getResult().getLines().get(t1.getName()).get(this.lastColumnIndex-3)+ " v2="+getResult().getLines().get(t2.getName()).get(this.lastColumnIndex-3));
+						String v1 = getResult().getLines().get(t1.getName()).get(this.lastColumnIndex-3);
+						String v2 = getResult().getLines().get(t2.getName()).get(this.lastColumnIndex-3);
+//						try {
+//							return Integer.parseInt(v1) - Integer.parseInt(v2);
+//						} catch (Exception e) {
+//							// TODO: handle exception
+//						}
+//						try {
+//							return Toolbox.dateformat.parse(v1).compareTo(Toolbox.dateformat.parse(v2));
+//						} catch (Exception e) {
+//							// TODO: handle exception
+//						}
+						c = collator.compare(v1, v2);
+				}
+				if (this.direction == DESCENDING) {
+					c = -c;
+				}
+				return c;
+			}
+		};
+		viewer.setComparator(viewerComparator);
+		
 		viewer.setContentProvider(new IStructuredContentProvider() {
 
 			@SuppressWarnings("rawtypes")
@@ -91,8 +136,6 @@
 			
 		});
 		
-		viewer.setComparator(new ViewerComparator());
-		
 	}
 
 	@Override
@@ -103,7 +146,6 @@
 	@Override
 	public void updateEditorFromResult(boolean update) throws Exception {
 		
-		
 		TextsView tv = getResult();
 		int currentDisplayedColumns = viewer.getTable().getColumns().length;
 		int numberOfColumnsToDisplay = (tv.getColumns().size() + 3);
@@ -128,6 +170,7 @@
 					return text.getName();
 				}
 			});
+			viewerComparator.addSelectionAdapter(viewer, textColumn, 0);
 			
 			c = new TableViewerColumn(viewer, SWT.NONE);
 			TableColumn editionColumn = c.getColumn();
@@ -150,6 +193,7 @@
 					return null;
 				}
 			});
+			viewerComparator.addSelectionAdapter(viewer, editionColumn, 1);
 			
 			c = new TableViewerColumn(viewer, SWT.NONE);
 			TableColumn separatorColumn = c.getColumn();
@@ -162,6 +206,7 @@
 					return "";
 				}
 			});
+			viewerComparator.addSelectionAdapter(viewer, separatorColumn, 2);
 			
 			int nColumn = 0;
 			for (StructuralUnitProperty col : this.getResult().getColumns()) {
@@ -171,6 +216,7 @@
 				newColumn.setData(nColumn);
 				newColumn.setToolTipText(col.getFullName());
 				newColumn.setWidth(100);
+				viewerComparator.addSelectionAdapter(viewer, newColumn, 3+nColumn);
 				c.setLabelProvider(new TextViewColumnLabelProvider(this, nColumn));
 				nColumn++;
 			}
Index: TXM/trunk/TXMAlphaPlugins.site/site.xml
===================================================================
--- TXM/trunk/TXMAlphaPlugins.site/site.xml	(revision 3581)
+++ TXM/trunk/TXMAlphaPlugins.site/site.xml	(revision 3582)
@@ -3,15 +3,16 @@
    <description name="TXM Extensions - Alpha" url="https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/dist/0.8.2/ext/alpha">
       This update site contains the Alpha extensions for TXM
    </description>
-   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202207281752.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.202207281752.jar" id="org.txm.backtomedia.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.dictionary.feature_1.0.0.202207281752.jar" id="org.txm.dictionary.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.oriflamms.feature_1.0.0.202207281752.jar" id="org.txm.oriflamms.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.svn.feature_1.0.0.202207281752.jar" id="org.txm.svn.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.textsbalance.feature_1.0.0.202207281752.jar" id="org.txm.textsbalance.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.translate.feature_1.0.0.202207281752.jar" id="org.txm.translate.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.202207281752.jar" id="org.txm.wordcloud.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.xmleditor.feature_1.0.0.202207281752.jar" id="org.txm.xmleditor.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.udpipe.feature_1.0.0.202207281752.jar" id="org.txm.udpipe.feature" version="1.0.0.202207281752"/>
-   <feature url="features/org.txm.treesearch.feature_1.0.0.202207281752.jar" id="org.txm.treesearch.feature" version="1.0.0.202207281752"/>
+   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202212151512.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.202212151512.jar" id="org.txm.backtomedia.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.dictionary.feature_1.0.0.202212151512.jar" id="org.txm.dictionary.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.oriflamms.feature_1.0.0.202212151512.jar" id="org.txm.oriflamms.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.svn.feature_1.0.0.202212151512.jar" id="org.txm.svn.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.textsbalance.feature_1.0.0.202212151512.jar" id="org.txm.textsbalance.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.translate.feature_1.0.0.202212151512.jar" id="org.txm.translate.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.202212151512.jar" id="org.txm.wordcloud.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.xmleditor.feature_1.0.0.202212151512.jar" id="org.txm.xmleditor.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.udpipe.feature_1.0.0.202212151512.jar" id="org.txm.udpipe.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.treesearch.feature_1.0.0.202212151512.jar" id="org.txm.treesearch.feature" version="1.0.0.202212151512"/>
+   <feature url="features/org.txm.texts.feature_1.0.0.202212151512.jar" id="org.txm.texts.feature" version="1.0.0.202212151512"/>
 </site>
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/WordsSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/WordsSection.java	(revision 3581)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/WordsSection.java	(revision 3582)
@@ -368,7 +368,7 @@
 		project.addTokenizerParameter("punct_strong", textPunctsStrong.getText()); //$NON-NLS-1$
 		project.addTokenizerParameter("regElision", textElisions.getText()); //$NON-NLS-1$
 		project.addTokenizerParameter("word_tags", wordElementText.getText()); //$NON-NLS-1$
-		project.addTokenizerParameter("doTokenizeStep", "" + doTokenizeStepButton.getSelection()); //$NON-NLS-1$ //$NON-NLS-2$
+		project.setDoTokenizerStep(doTokenizeStepButton.getSelection());
 		project.addTokenizerParameter("doRetokenizeStep", "" + doRetokenizeStepButton.getSelection()); //$NON-NLS-1$ //$NON-NLS-2$
 		project.addTokenizerParameter("doBuildWordIds", "" + doBuildWordIDsButton.getSelection()); //$NON-NLS-1$ //$NON-NLS-2$
 		project.addTokenizerParameter("onlyThoseTests", "false"); //$NON-NLS-1$ //$NON-NLS-2$
